/*
   client/trademenu.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CLIENT_TRADEMENU_H__
#define __INCLUDED_CLIENT_TRADEMENU_H__

#include "core/info.h"
#include "ui/container.h"
#include "ui/label.h"
#include "ui/listitem.h"
#include "ui/modelview.h"
#include "ui/plaintext.h"
#include "ui/slider.h"
#include "ui/scrollpane.h"
#include "ui/widget.h"
#include "client/inventorylistview.h"

namespace client
{

/// trade menu
class TradeMenu : public ui::Window
{
public:
	/// create a new trade menu
	TradeMenu(ui::Widget *parent, const char * label = 0);
	~TradeMenu();
	
	/// set the item type to trade
	void set_itemtype(core::InfoType *item_type);

protected:
	/// resize event handler
	virtual void resize();
	
	virtual void draw();
	
	/// emit event handler
	virtual bool on_emit(Widget *sender, const Event event, void *data);
	
private:
	void set_item(ui::ListItem *item);
	
	ui::Window		*menu_tradewindow;
	ui::Label		*menu_namelabel;
	ui::PlainText		*menu_inventorytext;
	ui::PlainText		*menu_tradertext;
	ui::ModelView		*menu_modelview;
	ui::ScrollPane		*menu_scrollpane;
	ui::Slider		*menu_slider;
	ui::Label		*menu_msgtext;
	
	ui::Button		*menu_closebutton;
	ui::Button		*menu_buybutton;

	InventoryListView	*menu_inventorylistview;
	InventoryListView	*menu_traderlistview;
	
	ui::Text		menu_infotext;
	
	core::InfoType 		*menu_itemtype;
	ui::ListItem 		*menu_listitem;
};

}

#endif // __INCLUDED_CLIENT_TRADEMENU_H__

