/*
   render/draw.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_RENDER_DRAW_H__
#define __INCLUDED_RENDER_DRAW_H__

#include "core/gameinterface.h"

#include "math/axis.h"
#include "math/vector3f.h"

namespace render
{

/// draw the world
void draw(float seconds);

void draw_target(const core::Entity *entity);

/// reset
void reset();

/// draw a sphere
void draw_sphere(math::Color const & color, float radius);

/// draw a model
void draw_model_fragments(model::Model *model,
			  const math::Color & color_primary, const math::Color & color_secondary,
			  const bool detail = true, const bool power = true, const float thrust = 0.0f);

class Stats
{
public:
	static void clear();

	static size_t tris;
	static size_t quads;
	static size_t fragments;
};

}

#endif // __INCLUDED_RENDER_DRAW_H__

